RT_MQ_DESTROY(2)

NAME
rt_mq_destroy - remove a message queue

SYNOPSIS
#define MODULE
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <linux/errno.h>
#include rt_ipc.h

int rt_mq_destroy(rt_sem_t *sem);

DESCRIPTION
rt_mq_destroy removes a message queue previously created with rt_mq_create. mq points to the structure used in the corresponding call to rt_mq_create. Message queue deletion safety is implemented; i.e., any tasks blocked on this message queue when it is destroyed are allowed to run.

RETURN VALUE
On success, 0 is returned. On failure, a negative value is returned as described below.

ERRORS

-EINVAL
    sem does not point to a valid rt_mq_t.

AUTHOR
Jerry Epplin <JerryEpplin@worldnet.att.net>

SEE ALSO
rt_mq_init(2), rt_mq_receive(2), rt_mq_send(2), rt_task_ipc_delete(2), rt_task_ipc_init(2)